Subject: Re: [PATCH 1/3] radeonfb: Fix 64 bits resources on 32 bits archs

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 23 Apr 2008 08:21:43 +1000

On Tue, 2008-04-22 at 17:55 +0200, Christian Ehrhardt wrote:
> I wanted to ask if there are any known workarounds atm that would
> allow me to use my X11 for now?

X is doing a mmap of /dev/mem instead of /dev/fb ?

You can normally map the fb mapping /dev/fb and then map the registers
using /dev/fb at an offset beyond the framebuffer (fix->smem_len).

If X is using /dev/mem instead, then it's being stupid and needs to be
fixed...

Cheers,
Ben.